Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util
Interface ConfigElement

All Known Implementing Classes:
  EngineControls, Filter, GCBooleanValue, GCDefinitions, GCDnRefValue, GCDNValue, GCEnumValue, GCGroup, GCHeader, GCIntegerValue, GCListValue, GCParent, GCPasswordRefValue, GCRealValue, GCStringValue, GCSubordinates, GCValue, GCVRef, JobParams, NamedPasswords, NamedPasswords.NamedPassword, NameMap, OldStyleParams, Password, ResourceParams, SchemaDef, SchemaDef.AttrDef, SchemaDef.ClassDef, ShimConfig, ShimConfig.RemoteLoaderConfig, ShimConfigParams, ShimParams, ShimState

    public interface ConfigElement

Method Summary
`boolean` | `hasBeenModified()` Return `true` if this instance has been modified.
`void` | `resetModified()` Reset the modified flag for this instance such that `hasBeenModified()` will return `false`.
`Element` | `toXML(Node parent)` Create an XML representation for this instance under the passed `Node`.

Method Detail

### hasBeenModified

    boolean hasBeenModified()

  Return `true` if this instance has been modified.

  The instance is considered to have been modified if a change was made that affects the persistent representation since:

  1. The instance was constructed from an XML representation.
  2. `resetModified()` was last called

  Returns:
    `true` or `false`
  See Also:
    `resetModified()`

### resetModified

    void resetModified()

  Reset the modified flag for this instance such that `hasBeenModified()` will return `false`.

  See Also:
    `hasBeenModified()`

### toXML

    Element toXML(Node parent)

  Create an XML representation for this instance under the passed `Node`.

  Note that the act of creating an XML representation does not reset this instance's modified flag. It must be reset by calling `resetModified()`.

  Parameters:
    `parent` - `Node` under which to construct XML representation.
  Returns:
    created `Element`
  See Also:
    `hasBeenModified()`, `resetModified()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD